Last Comment Bug 623903 - Update Help for |Bug 568283 - Add checkbox for accessibility.browsewithcaret (F7-by-default mode)|
: Update Help for |Bug 568283 - Add checkbox for accessibility.browsewithcaret ...
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Help Documentation (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1b3
Assigned To: Jens Hatlak (:InvisibleSmiley)
:
Mentors:
: 623901 635806 (view as bug list)
Depends on: 568283 623889
Blocks: 636993 638816
  Show dependency treegraph
 
Reported: 2011-01-07 07:08 PST by Edmund Wong (:ewong)
Modified: 2011-03-04 08:57 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (7.39 KB, patch)
2011-02-26 08:35 PST, Jens Hatlak (:InvisibleSmiley)
stefanh: review-
Details | Diff | Review
patch v2 (11.45 KB, patch)
2011-02-27 06:00 PST, Jens Hatlak (:InvisibleSmiley)
no flags Details | Diff | Review
patch v2a [Checkin: comment 13] (11.68 KB, patch)
2011-03-01 15:22 PST, Jens Hatlak (:InvisibleSmiley)
stefanh: review+
Details | Diff | Review

Description Edmund Wong (:ewong) 2011-01-07 07:08:18 PST
Bug #568283 added a checkbox for accessibility.browsewithcaret (F7-by-default mode).

Help must be added for this.
Comment 1 Edmund Wong (:ewong) 2011-01-07 07:15:22 PST
(In reply to comment #0)
> Bug #568283 added a checkbox for accessibility.browsewithcaret (F7-by-default
> mode).
> 
> Help must be added for this.

Addendum: When the bug is fixed.
Comment 2 Jens Hatlak (:InvisibleSmiley) 2011-02-26 04:16:22 PST
*** Bug 635806 has been marked as a duplicate of this bug. ***
Comment 3 Jens Hatlak (:InvisibleSmiley) 2011-02-26 05:49:45 PST
Merging bug 623901 (for bug 623889 which moved FAYT preferences to their own panel) with this one, since both can and should be done at the same time.
Comment 4 Jens Hatlak (:InvisibleSmiley) 2011-02-26 05:49:55 PST
*** Bug 623901 has been marked as a duplicate of this bug. ***
Comment 5 Jens Hatlak (:InvisibleSmiley) 2011-02-26 08:35:13 PST
Created attachment 515348 [details] [diff] [review]
patch
Comment 6 Stefan [:stefanh] (away until May 28) 2011-02-26 13:00:01 PST
Comment on attachment 515348 [details] [diff] [review]
patch

(Bug 568283 hasn't landed yet, so I might not have catched everything)

You need to update the index page as well, search results for find as you type etc still points to the old pane. Please also update the index page with respect to caret browsing

+  <li><strong>Browse With Caret</strong>: Select if and how caret browsing
+    (ability to navigate and select within a page using the cursor keys and a
+    visible caret) should be used:

Please add a link to caret browsing in the glossary instead (and please also update the description in there since we now have more ways of enabling it)

+      checked, the F7 shortcut will toggle caret browsing oni or off.

Oops ;-)
Comment 7 Jens Hatlak (:InvisibleSmiley) 2011-02-27 06:00:14 PST
Created attachment 515469 [details] [diff] [review]
patch v2
Comment 8 Stefan [:stefanh] (away until May 28) 2011-03-01 14:41:39 PST
Comment on attachment 515469 [details] [diff] [review]
patch v2

+  <li><strong>Browse With Caret</strong>: Select if and how <a
+    href="glossary.xhtml#caret_browsing">caret browsing</a> should be used:
+    <li><strong>Use caret browsing</strong>: If checked, caret browsing will
+      be enabled by default when you load a web page.</li>
+    <li><strong>Use the F7 shortcut to toggle caret browsing</strong>: If
+      checked, the F7 shortcut will toggle caret browsing on or off. Otherwise
+      &brandShortName; will not use the shortcut and the below option will have
+      no effect.</li>
+    <li><strong>Warn me before turning on caret browsing</strong>: If checked,
+      &brandShortName; will issue a warning dialog if the caret browsing mode
+      is about to be entered, allowing you to choose whether to proceed or not.
+      (There is no warning when leaving caret browsing mode.)</li>
+  </li>

You forgot to wrap the <li>'s under "Browse With Caret" in an <ul>

   <li><strong>Clear the current search after a few seconds of
     inactivity</strong>: If checked, cancels the search after a few seconds of
     keyboard inactivity.</li>

Mind fixing the second line to read "If checked, the search will be cancelled after a few.."?

+  <li><strong>Show the find toolbar during find as you type</strong>: If
+    checked, using Find As You Type will open the find toolbar if it is not
+    already open and fill in what you are typing. If unchecked, the find toolbar

Hmm, the "fill in what you are typing" sounds a bit strange. How about something like this:

"If checked, the find toolbar will open when Find As You Type is activated and text will be entered in the toolbar search field when you type."

+  text like you do in a text editor. You can turn caret browsing mode on or off
+  using the <kbd>F7</kbd> shortcut or on the Keyboard Navigation preferences

I think "key" sounded better and it should not be "on". Let me suggest this instead:

"You can turn caret browsing mode on or off by pressing the <kbd>F7</kbd> key. Caret browsing mode can also be enabled or disabled in Advanced Preferences - Keyboard Navigation."


Sorry, but this is growing a bit since "Searching Within a Page" and "Using Find-as-you-type" needs an update :-/
Comment 9 Jens Hatlak (:InvisibleSmiley) 2011-03-01 15:22:37 PST
Created attachment 516058 [details] [diff] [review]
patch v2a [Checkin: comment 13]

(In reply to comment #8)
> "If checked, the find toolbar will open when Find As You Type is activated and
> text will be entered in the toolbar search field when you type."

Tweaked it a bit.

> "You can turn caret browsing mode on or off by pressing the <kbd>F7</kbd> key.
> Caret browsing mode can also be enabled or disabled in Advanced Preferences -
> Keyboard Navigation."

And this (didn't want to think about which type of hyphen is correct here).

> Sorry, but this is growing a bit since "Searching Within a Page" and "Using
> Find-as-you-type" needs an update :-/

Sorry, it's late and I'm not sure I understand you; did I forget about something? Do we need to make more changes here?
Comment 10 Stefan [:stefanh] (away until May 28) 2011-03-02 09:55:57 PST
(In reply to comment #9)

> And this (didn't want to think about which type of hyphen is correct here).

We use "-" (I checked).

> 
> > Sorry, but this is growing a bit since "Searching Within a Page" and "Using
> > Find-as-you-type" needs an update :-/
> 
> Sorry, it's late and I'm not sure I understand you; did I forget about
> something? Do we need to make more changes here?

See nav_help.xhtml#578 and nav_help.xhtml#614
Comment 11 Jens Hatlak (:InvisibleSmiley) 2011-03-02 14:37:46 PST
(In reply to comment #10)
> (In reply to comment #9)
> 
> > And this (didn't want to think about which type of hyphen is correct here).
> 
> We use "-" (I checked).

If you want I can change it back, just let me know.

> > > Sorry, but this is growing a bit since "Searching Within a Page" and "Using
> > > Find-as-you-type" needs an update :-/
> > 
> > Sorry, it's late and I'm not sure I understand you; did I forget about
> > something? Do we need to make more changes here?
> 
> See nav_help.xhtml#578 and nav_help.xhtml#614

Those may refer to FAYT but not to Preferences, which this bug is about. I'm not going to fix the world here.
Comment 12 Stefan [:stefanh] (away until May 28) 2011-03-04 04:31:12 PST
Comment on attachment 516058 [details] [diff] [review]
patch v2a [Checkin: comment 13]

+    the find toolbar will not be opened and the search string will be displayed
+    in the status bar instead.

From the context, I think it's clear that we don't have a toolbar, so you can skip "instead".

(In reply to comment #11)
> > We use "-" (I checked).
> 
> If you want I can change it back, just let me know.

Yes, please do.

> > See nav_help.xhtml#578 and nav_help.xhtml#614
> 
> Those may refer to FAYT but not to Preferences, which this bug is about.

Oh, that's not obvious.

> I'm not going to fix the world here.

OK, but please file a bug on the remaining bits.
Comment 13 Jens Hatlak (:InvisibleSmiley) 2011-03-04 08:53:21 PST
Comment on attachment 516058 [details] [diff] [review]
patch v2a [Checkin: comment 13]

http://hg.mozilla.org/comm-central/rev/3f9ac1aeea35
with comment 12 addressed

Note You need to log in before you can comment on or make changes to this bug.